package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeGllb)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:23
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_gllb")
public class ASafeGllb implements Serializable {

    private static final long serialVersionUID = -76274677396325303L;
    private String xxbh;
    /**
     * 管理类别编号
     */
    @ApiModelProperty(value = "管理类别编号")
    private String gllbbh;
    /**
     * 管理类别
     */
    @ApiModelProperty(value = "管理类别")
    private String gllb;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 跟新时间
     */
    @ApiModelProperty(value = "跟新时间")
    private Date gxsj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
}

