package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeJcyd)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:23
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_jcyd")
public class ASafeJcyd implements Serializable {

    private static final long serialVersionUID = 878793166022196007L;
    private String xxbh;
    /**
     * 检查要点
     */
    @ApiModelProperty(value = "检查要点")
    private String jcyd;
    /**
     * 检查要点编号
     */
    @ApiModelProperty(value = "检查要点编号")
    private String jcydbh;
    /**
     * 是否重点检查项  0否   1是
     */
    @ApiModelProperty(value = "是否重点检查项  0否   1是")
    private Object sfzdjcx;
    /**
     * 整改期限
     */
    @ApiModelProperty(value = "整改期限")
    private String zgqx;
    /**
     * 检查依据
     */
    @ApiModelProperty(value = "检查依据")
    private String jcyj;
    /**
     * 违法条款
     */
    @ApiModelProperty(value = "违法条款")
    private String wftk;
    /**
     * 父级编号
     */
    @ApiModelProperty(value = "父级编号")
    private String pid;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    private String rkry;
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 顺序
     */
    @ApiModelProperty(value = "顺序")
    private Integer xssx;
}

