package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * 企业编号映射表(ASafeQybhysb)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:23
 */
@Data
@ApiModel("企业编号映射表实体类")
@TableName(value = "a_safe_qybhysb")
public class ASafeQybhysb implements Serializable {

    private static final long serialVersionUID = 167333084636450946L;
    private String xxbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String qymc;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

