package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeRwfj)表实体类
 *
 * @author wu
 * @since 2024-03-14 15:01:09
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_rwfj")
public class ASafeRwfj implements Serializable {

    private static final long serialVersionUID = -43623425794151878L;
    private String xxbh;
    /**
     * 附件类型
     */
    @ApiModelProperty(value = "附件类型")
    private String fjlx;
    /**
     * 附件名称
     */
    @ApiModelProperty(value = "附件名称")
    private String fjmc;
    /**
     * 附件后缀
     */
    @ApiModelProperty(value = "附件后缀")
    private String fjhz;
    /**
     * 附件描述
     */
    @ApiModelProperty(value = "附件描述")
    private String fjms;
    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址")
    private String fjdz;
    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String wjlx;
    /**
     * 关联父级编号
     */
    @ApiModelProperty(value = "关联父级编号")
    private String pid;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 显示顺序
     */
    @ApiModelProperty(value = "显示顺序")
    private Integer xssx;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
}

