package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeXcrwjcxzgxx)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:25
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_xcrwjcxzgxx")
public class ASafeXcrwjcxzgxx implements Serializable {

    private static final long serialVersionUID = 973627969644943727L;
    private String xxbh;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 任务编号
     */
    @ApiModelProperty(value = "任务编号")
    private String rwbh;
    /**
     * 巡查检查项编号
     */
    @ApiModelProperty(value = "巡查检查项编号")
    private String xcjcxbh;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String ms;
    /**
     * 数据来源
     */
    @ApiModelProperty(value = "数据来源")
    private String sjlx;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private Date sj;
    /**
     * 是否合格
     */
    @ApiModelProperty(value = "是否合格")
    private Integer sfhg;
    /**
     * 到期日期
     */
    @ApiModelProperty(value = "到期日期")
    private Date dqrq;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 跟新时间
     */
    @ApiModelProperty(value = "跟新时间")
    private Date gxsj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 跟新人员
     */
    @ApiModelProperty(value = "跟新人员")
    private String gxry;
}

