package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeXcrwwz)表实体类
 *
 * @author wu
 * @since 2024-03-18 16:58:08
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_xcrwwz")
public class ASafeXcrwwz implements Serializable {

    private static final long serialVersionUID = 464958940603004242L;
    private String xxbh;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 任务编号
     */
    @ApiModelProperty(value = "任务编号")
    private String rwbh;
    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzbh;
    /**
     * 位置名称
     */
    @ApiModelProperty(value = "位置名称")
    private String wzmc;
    /**
     * 完成状态
     */
    @ApiModelProperty(value = "完成状态")
    private Integer wczt;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 跟新人员
     */
    @ApiModelProperty(value = "跟新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

