package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeZcrwjl)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:25
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_zcrwjl")
public class ASafeZcrwjl implements Serializable {

    private static final long serialVersionUID = -25715805175164681L;
    private String xxbh;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 任务编号
     */
    @ApiModelProperty(value = "任务编号")
    private String rwbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 企业风险点编号
     */
    @ApiModelProperty(value = "企业风险点编号")
    private String qyfxdbh;
    /**
     * 企业风险点位置编号
     */
    @ApiModelProperty(value = "企业风险点位置编号")
    private String qyfxdwzbh;
    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzbh;
    /**
     * 自查任务位置编号
     */
    @ApiModelProperty(value = "自查任务位置编号")
    private String zcrwwzbh;
    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer sbsl;
    /**
     * 检查状态
     */
    @ApiModelProperty(value = "检查状态")
    private Integer jczt;
    /**
     * 完成状态
     */
    @ApiModelProperty(value = "完成状态")
    private Integer wczt;
    /**
     * 是否检查
     */
    @ApiModelProperty(value = "是否检查")
    private Integer sfjc;
    /**
     * 检查时间
     */
    @ApiModelProperty(value = "检查时间")
    private Date jcsj;
    /**
     * 是否采取有限管控措施
     */
    @ApiModelProperty(value = "是否采取有限管控措施")
    private Integer sfcqyxgkcs;
    /**
     * 具体管控措施
     */
    @ApiModelProperty(value = "具体管控措施")
    private String jtgkcs;
    /**
     * 是否发现隐患
     */
    @ApiModelProperty(value = "是否发现隐患")
    private Integer sffxyh;
    /**
     * 隐患描述
     */
    @ApiModelProperty(value = "隐患描述")
    private String yhms;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 跟新时间
     */
    @ApiModelProperty(value = "跟新时间")
    private Date gxsj;
    /**
     * 跟新人员
     */
    @ApiModelProperty(value = "跟新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

