package com.mudu.entity.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 通用响应类
 *
 * @author wu
 * @since 2024/2/26 14:23
 */
@Data
@ApiModel(value = "通用响应类")
public class GeneralResponse implements Serializable {

    private static final long serialVersionUID = 6094594534125452950L;
    /**
     * 接口响应消息
     */
    @ApiModelProperty(value = "接口响应消息")
    private String msg;

    /**
     * 响应数据
     */
    @ApiModelProperty(value = "响应数据")
    private Object data;

    /**
     * 响应代码
     */
    @ApiModelProperty(value = "响应代码")
    private String code;
}
