package com.mudu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mudu.entity.ASafeFxd;
import com.mudu.entity.dto.request.ACheckRequest;
import com.mudu.entity.dto.response.ACheckResponse;

import java.util.List;

/**
 * 查询检查点数据服务接口
 *
 * @author dong
 * @since 2024/3/11 16:24
 */
public interface ACheckService  extends IService<ASafeFxd> {
    /**
     * 查询所有检查点数据
     *
     * @param aCheckRequest 查询条件
     * @return
     */
    List<ACheckResponse> selectAll(ACheckRequest aCheckRequest);


}
