package com.mudu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mudu.entity.ASafeRwzq;
import com.mudu.entity.dto.response.RwzqUuidResponse;

/**
 * (ASafeRwzq)表服务接口
 *
 * @author wu
 * @since 2024-03-18 16:58:08
 */
public interface ASafeRwzqService extends IService<ASafeRwzq> {


    /**
     * 获取巡查任务周期的最新一条id
     *
     * @return
     */
    RwzqUuidResponse getXcUuid();




    /**
     * 获取自查任务周期的最新一条id
     *
     * @return
     */
    RwzqUuidResponse getZcUuid();
}

