package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeFxd)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:22
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_fxd")
public class ASafeFxd implements Serializable {

    private static final long serialVersionUID = 524412765206425836L;
    private String xxbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    private String sfxdbh;
    /**
     * 风险点
     */
    @ApiModelProperty(value = "风险点")
    private String fxd;
    /**
     * 风险点编号
     */
    @ApiModelProperty(value = "风险点编号")
    private String fxdbh;
    /**
     * 风险名称
     */
    @ApiModelProperty(value = "风险名称")
    private String fxmc;
    /**
     * 管理类别ID
     */
    @ApiModelProperty(value = "管理类别ID")
    private String gllbbh;
    /**
     * 管理类别VALUE
     */
    @ApiModelProperty(value = "管理类别VALUE")
    private String gllbvalue;
    /**
     * 风险等级ID
     */
    @ApiModelProperty(value = "风险等级ID")
    private String fxdjid;
    /**
     * 风险等级VALUE
     */
    @ApiModelProperty(value = "风险等级VALUE")
    private String fxdjvalue;
    /**
     * 事故类型
     */
    @ApiModelProperty(value = "事故类型")
    private String sglx;
    /**
     * 具体管控措施
     */
    @ApiModelProperty(value = "具体管控措施")
    private String jtgkcs;
    /**
     * 能否编辑
     */
    @ApiModelProperty(value = "能否编辑")
    private Integer nfbj;
    /**
     * 能否删除
     */
    @ApiModelProperty(value = "能否删除")
    private Integer nfsc;
    /**
     * 是否基础库
     */
    @ApiModelProperty(value = "是否基础库")
    private Integer sfjck;
    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态")
    private Integer qyzt;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

