package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeFxdwz)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:22
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_fxdwz")
public class ASafeFxdwz implements Serializable {

    private static final long serialVersionUID = -84222585664561710L;
    private String xxbh;
    /**
     * 企业风险点编号
     */
    @ApiModelProperty(value = "企业风险点编号")
    private String qyfxdbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzbh;
    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer sbsl;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

