package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeXcrw)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_xcrw")
public class ASafeXcrw implements Serializable {

    private static final long serialVersionUID = -36857779780957488L;
    private String xxbh;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 巡查项
     */
    @ApiModelProperty(value = "巡查项")
    private Integer xcx;
    /**
     * 完成项
     */
    @ApiModelProperty(value = "完成项")
    private Integer wcx;
    /**
     * 发现隐患树
     */
    @ApiModelProperty(value = "发现隐患树")
    private Integer fxyhs;
    /**
     * 完成状态
     */
    @ApiModelProperty(value = "完成状态")
    private Integer wczt;
    /**
     * 检查时间
     */
    @ApiModelProperty(value = "检查时间")
    private Date jcsj;
    /**
     * 其他人员
     */
    @ApiModelProperty(value = "其他人员")
    private String qtry;
    /**
     * 专家意见
     */
    @ApiModelProperty(value = "专家意见")
    private String zjyj;
    /**
     * 任务类型
     */
    @ApiModelProperty(value = "任务类型")
    private String rwlx;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

