package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeYhzgxx)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:25
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_yhzgxx")
public class ASafeYhzgxx implements Serializable {

    private static final long serialVersionUID = -41863728980427289L;
    private String xxbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 企业风险点编号
     */
    @ApiModelProperty(value = "企业风险点编号")
    private String qyfxdbh;
    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzbh;
    /**
     * 隐患来源
     */
    @ApiModelProperty(value = "隐患来源")
    private String yhly;
    /**
     * 检查时间
     */
    @ApiModelProperty(value = "检查时间")
    private Date jcsj;
    /**
     * 整改期限
     */
    @ApiModelProperty(value = "整改期限")
    private Date zgqx;
    /**
     * 不合格检查项
     */
    @ApiModelProperty(value = "不合格检查项")
    private Integer bhgjcx;
    /**
     * 整改状态
     */
    @ApiModelProperty(value = "整改状态")
    private Integer zgzt;
    /**
     * 是否展示
     */
    @ApiModelProperty(value = "是否展示")
    private Integer sfzs;
    /**
     * 自查记录编号
     */
    @ApiModelProperty(value = "自查记录编号")
    private String zcjlbh;
    /**
     * 任务编号
     */
    @ApiModelProperty(value = "任务编号")
    private String rwbh;
    /**
     * 巡查位置编号
     */
    @ApiModelProperty(value = "巡查位置编号")
    private String xcwzbh;
    /**
     * 复查是否合格
     */
    @ApiModelProperty(value = "复查是否合格")
    private Integer fcsfhg;
    /**
     * 隐患描述
     */
    @ApiModelProperty(value = "隐患描述")
    private String yhms;
    /**
     * 整改结果
     */
    @ApiModelProperty(value = "整改结果")
    private String zgjg;
    /**
     * 整改时间
     */
    @ApiModelProperty(value = "整改时间")
    private Date zgsj;
    /**
     * 历史逾期
     */
    @ApiModelProperty(value = "历史逾期")
    private Integer lsyq;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 完成状态
     */
    @ApiModelProperty(value = "完成状态")
    private Integer wczt;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 跟新人员
     */
    @ApiModelProperty(value = "跟新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

