package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeZcrw;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;

/**
 * (ASafeZcrw)表数据库访问层
 *
 * @author wu
 * @since 2024-02-26 10:43:25
 */
public interface ASafeZcrwMapper extends BaseMapper<ASafeZcrw> {

    /**
     * 查询自查任务主表1个月内是否有记录就不推
     */

    @Select("select count(*) from a_safe_zcrw where rksj  BETWEEN DATE_SUB( CURDATE(), INTERVAL 1 MONTH ) AND CURDATE() ")
    Integer zcrwNum();


}

